//
//  ImageTableViewCell.swift
//  MarsRover
//
//  Created by Amit Bijlani on 10/20/16.
//  Copyright © 2016 Treehouse. All rights reserved.
//

import UIKit


class ImageTableViewCell: UITableViewCell {
    
    @IBOutlet weak var photoImageView: UIImageView!
    
    public func configure(with photo: Photo) {
        loadImage(from: photo.imageURL)
    }
    
    func loadImage(from imageURL: String) {
        if let imageData = try? Data(contentsOf: URL(string: imageURL)!) {
            let image = UIImage(data: imageData)
            self.photoImageView.image = image
        }
    }
    
}
