//
//  ViewController.swift
//  MarsRover
//
//  Created by Amit Bijlani on 10/20/16.
//  Copyright © 2016 Treehouse. All rights reserved.
//

import UIKit

class PhotosTableViewController: UITableViewController {
    var photos: [Photo]?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        loadPhotos()
    }
    
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return photos?.count ?? 0
    }
    
    override func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath)
        guard let photos = self.photos else { return cell }
        
        let imageTableViewCell = cell as! ImageTableViewCell
        
        let photo = photos[indexPath.row]
        imageTableViewCell.configure(with: photo )
        
        return imageTableViewCell
    }
    
    func loadPhotos() {
        Photo.loadPhotosAsync { (photos) in
            self.photos = photos
            self.tableView.reloadData()
        }
    }
    
    
}











